--***********************************************************************
--									*
--									*
--   This software was written by Bevin Brett, of Digital Equipment	*
--   Corporation.							*
--									*
--   Digital assumes no responsibility AT ALL for the use or reliability*
--   of this software.							*
--									*
--   Redistribution and use in source and binary forms are permitted	*
--   provided that the above copyright notice and this paragraph are	*
--   duplicated in all such forms and that any documentation,		*
--   advertising materials, and other materials related to such		*
--   distribution and use acknowledge that the software was developed	*
--   by Digital Equipment Corporation. The name of Digital Equipment	*
--   Corporation may not be used to endorse or promote products derived	*
--   from this software without specific prior written permission.	*
--									*
--   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR	*
--   IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED	*
--   WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.*
--									*
--***********************************************************************

-- modified for use with Adabindx 10.8.1997
-- Hans-Frieder Vogt (vogt@ilaws6.luftfahrt.uni-stuttgart.de)

with PLACES, COLORS;
use  PLACES, COLORS;
package SHAPES is

    type LIST_OF_VECTORS is array(POSITIVE range <>) of VECTOR;

    type FACE(NUMBER_OF_CORNERS : POSITIVE) is
	record
	    COLOR   : COLORS.COLOR;
	    NORMAL  : VECTOR;
	    CORNERS : LIST_OF_VECTORS(1..NUMBER_OF_CORNERS);
	end record;

    type ACCESS_FACE is access FACE;

    type LIST_OF_ACCESS_FACES is array(POSITIVE range <>) of ACCESS_FACE;

    type SHAPE(NUMBER_OF_FACES : NATURAL) is
	record
	    FACES   : LIST_OF_ACCESS_FACES(1..NUMBER_OF_FACES);
	end record;

    type ACCESS_SHAPE is access SHAPE;

end;
